<template>
  <ObModal
    ref="modal"
    size="small"
    title="Отозвать договор?"
    :is-error="true"
    :is-show-controls="true"
    ok-text="Отозвать"
    data-qa="withdrawContract"
    @submit="$emit('on-submit')"
  >
    <p>Вы собираетесь отозвать договор для внесения в него правок.</p>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'

export default {
  name: 'WithdrawContractModal',
  components: {
    ObModal
  },
  methods: {
    open () {
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    }
  }
}
</script>
